Skip to main content
GET
Get historical user metrics for all KVault positions

Path Parameters

pubkey
string
required

Valid base58-encoded address of the user wallet

Example:

"AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As"

Query Parameters

start
default:1970-01-01T00:00:00.000Z

Start date of the range (defaults to Unix epoch). Accepts ISO string or epoch in ms.

Example:

"1970-01-01T00:00:00.000Z"

end

End date of the range (defaults to current time). Accepts ISO string or epoch in ms.

Example:

"2025-01-01T00:00:00.000Z"

Response

OK

createdOn
string<date-time>
required

Timestamp when the snapshot was created (ISO 8601 format)

Example:

"2025-03-01T12:00:00.000Z"

usdAmount
string
required

User's total amount across all vaults in USD

Example:

"1234.56789"

solAmount
string
required

User's total amount across all vaults in SOL

Example:

"1234.56789"

weightedApy
string
required

Weighted average APY across all vaults in decimal format

Example:

"0.2"

cumulativeInterestEarnedUsd
string
required

Total interest earned in USD across all vaults

Example:

"1234.56789"

cumulativeInterestEarnedSol
string
required

Total interest earned in SOL across all vaults

Example:

"1234.56789"

interestEarnedPerSecondUsd
string
required

Interest earned per second at that specific moment in USD

Example:

"1234.56789"

interestEarnedPerSecondSol
string
required

Interest earned per second at that specific moment in SOL

Example:

"1234.56789"